{include file="_header.tpl"}

<link href="{$system.tpldir}/forum.css" rel="stylesheet" type="text/css">

<h2>{object obj=$navigation}</h2>

<h1>Новая тема</h1>
<br>

{if $preview}
<h3>Предварительный просмотр</h3>
<table class="forum_post">
<tr>
<td class="user_brief" rowspan="2">
{image id=$form.owner.idimg width=120}
<p><b>{$form.owner.name}</b><br>
Сообщений: {$form.owner.mcount}</p>
</td>
<td class="user_post">
<div class="post_date">{$form.date|date_format:"%D %T"}</div>
<div class="post_text">
{$form.message}
</div>
</td>
</tr>
<tr>
<td class="post_panel">
&nbsp;
</td>
</tr>
</table>
{/if}


{if !$auth->isLogin()}
<p>Вы не можете добавить новую тему. Вам необходимо авторизироваться на сайте либо <a href="{$registerlink}">зарегистрироваться</a>.</p>
{elseif !$newclosetopic_access}
<p>Нет прав для добавления новой темы.</p>
{elseif $auth->isLogin() && $newclosetopic_access}

{literal}
<script type="text/javascript">
function valid_form(form)
{ if(form.name.value.replace(/\s+/,'').length==0)
  { alert("Пожалуйста, заполните название."); return false; }
  if(form.bbcode.value.replace(/\s+/,'').length<10)
  { alert("Пожалуйста, заполните сообщение."); return false; }
  return true;
}
function save(form)
{ if(valid_form(form))
  { form.elements.action.value='addtopic';
    form.submit();
  }
}
</script>
{/literal}

<form class="forum_message" method="post" onsubmit="return valid_form(this)" enctype="multipart/form-data">
<p>Название:</p>
{editbox name="name" width="40%" text=$form.name tabindex="1"}<br>
<br>
<div class="smiles">
<a href="javascript:addSmile(';)')"><img src="/templates/admin/images/smiles/wink.gif" alt="wink" width="20" height="20"></a>
<a href="javascript:addSmile(':)')"><img src="/templates/admin/images/smiles/smile.gif" alt="smile" width="20" height="20"></a>
<a href="javascript:addSmile(':P')"><img src="/templates/admin/images/smiles/tongue.gif" alt="tongue" width="20" height="20"></a>
<a href="javascript:addSmile(':D')"><img src="/templates/admin/images/smiles/biggrin.gif" alt="biggrin" width="20" height="20"></a>
<a href="javascript:addSmile(':lol:')"><img src="/templates/admin/images/smiles/lol.gif" alt="lol" width="20" height="20"></a>
<a href="javascript:addSmile('-_-')"><img src="/templates/admin/images/smiles/closedeyes.gif" alt="closedeyes" width="20" height="20"></a>
<a href="javascript:addSmile('(_(')"><img src="/templates/admin/images/smiles/glare.gif" alt="glare" width="20" height="20"></a>
<a href="javascript:addSmile(':huh:')"><img src="/templates/admin/images/smiles/huh.gif" alt="huh" width="20" height="20"></a>
<a href="javascript:addSmile(':(')"><img src="/templates/admin/images/smiles/sad.gif" alt="sad" width="20" height="20"></a>
<a href="javascript:addSmile(':angry:')"><img src="/templates/admin/images/smiles/angry.gif" alt="angry" width="20" height="20"></a>
<a href="javascript:addSmile('B)')"><img src="/templates/admin/images/smiles/cool.gif" alt="cool" width="20" height="20"></a>
<a href="javascript:addSmile(':unsure:')"><img src="/templates/admin/images/smiles/unsure.gif" alt="unsure" width="20" height="20"></a>
<a href="javascript:addSmile(':o')"><img src="/templates/admin/images/smiles/ohmy.gif" alt="ohmy" width="20" height="20"></a>
<a href="javascript:addSmile(':blink:')"><img src="/templates/admin/images/smiles/blink.gif" alt="blink" width="20" height="20"></a>
<a href="javascript:addSmile(':shok:')"><img src="/templates/admin/images/smiles/shok.gif" alt="shok" width="20" height="20"></a>
</div>
<div>
<input type="button" value=" B " onclick="addTag('b')">&nbsp;&nbsp;
<input type="button" value=" I " onclick="addTag('i')">&nbsp;&nbsp;
<input type="button" value=" U " onclick="addTag('u')">&nbsp;&nbsp;
<input type="button" value=" QUOTE " OnClick="addTag('quote')">&nbsp;&nbsp;
<input type="button" value=" CODE " OnClick="addTag('code')">&nbsp;&nbsp;
</div>
<textarea tabindex="2" id="message" name="bbcode" rows="8" style="width:100%">{$form.bbcode|escape}</textarea>
<label><input type="checkbox" name="tomail"{if $form.tomail=='Y'} checked{/if}>&nbsp;Получать уведомления о новых сообщениях.</label><br>
{if $usefiles}
<br>Прикрепленный файл:<br>
<input type="file" name="attach"><br>
{/if}
<br>
{submit caption="Предварительный просмотр"}
{button caption="Сохранить"  onclick="save(this.form)"}
{hidden name="action" value="preview"}
{hidden name="authcode" value=$system.authcode}
</form>

{/if}

{include file="_footer.tpl"}
