<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2011 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Modules
 */
/**************************************************************************/

function forum_createCategoryLink($id,$section)
{ static $cache=array();
  if(isset($cache[$section][$id]))
  return $cache[$section][$id];
  if($row=A::$DB->getRow("SELECT idker,urlname FROM {$section}_categories WHERE id=".(integer)$id))
  return $cache[$section][$id]=getSectionLink($section).$row['urlname']."/";
  else
  return $cache[$section][$id]=getSectionLink($section);
}

function forum_createItemLink($id,$section)
{ static $cache=array();
  if(isset($cache[$section][$id]))
  return $cache[$section][$id];
  if($row=A::$DB->getRow("SELECT idcat FROM {$section}_topics WHERE id=".(integer)$id))
  return $cache[$section][$id]=forum_createCategoryLink($row['idcat'],$section)."$id.html";
  else
  return $cache[$section][$id]=getSectionLink($section);
}

function forum_createMap_Categories(&$treeitem,$section,$id=0)
{
  A::$DB->query("SELECT * FROM {$section}_categories WHERE idker={$id} ORDER BY sort");
  while($row=A::$DB->fetchRow())
  { $treeitem->items[$row['id']] = new SiteMap_Box($row['name'],forum_createCategoryLink($row['id'],$section));
    forum_createMap_Categories($treeitem->items[$row['id']],$section,$row['id']);
  }
  A::$DB->free();
}

function forum_createMap(&$treemap,$section,$caption)
{
  $treemap->items[$section] = new SiteMap_Box($caption,getSectionLink($section));
  forum_createMap_Categories($treemap->items[$section],$section);
}

function forum_SpecialSectionAccess(&$access,$section)
{
  $access=array();
  $access[]=array('name'=>'read','caption'=>"Чтение заголовков разделов / категорий (главная страница)",'auth'=>false);
  $access[]=array('name'=>'download','caption'=>"Скачивание файлов",'auth'=>false);
  $access[]=array('name'=>'','html'=>'<br><div class="box"><table width="100%" class="invisiblegrid"><tr><td width="120">Все категории</td><td>');
  $access[]=array('name'=>'readall','caption'=>"Чтение",'auth'=>false);
  $access[]=array('name'=>'newmessage','caption'=>"Добавление сообщений",'auth'=>true);
  $access[]=array('name'=>'newclosetopic','caption'=>"Добавление/закрытие своих тем",'auth'=>true);
  $access[]=array('name'=>'moderation','caption'=>"Модерация всех тем/сообщений",'auth'=>true,'nosep'=>true);
  $access[]=array('name'=>'','html'=>'</td></tr>');
  A::$DB->query("SELECT * FROM {$section}_categories WHERE level=0 ORDER BY sort");
  while($row=A::$DB->fetchRow())
  { A::$DB->query("SELECT * FROM {$section}_categories WHERE idker={$row['id']} ORDER BY sort");
    while($row2=A::$DB->fetchRow())
	{ $access[]=array('name'=>'','html'=>'<tr><td width="120">'.$row2['name'].':</td><td>');
      $access[]=array('name'=>'cat'.$row2['id'].'_read','caption'=>"Чтение",'auth'=>false);
      $access[]=array('name'=>'cat'.$row2['id'].'_newmessage','caption'=>"Добавление сообщений",'auth'=>true);
      $access[]=array('name'=>'cat'.$row2['id'].'_newclosetopic','caption'=>"Добавление/закрытие своих тем",'auth'=>true);
      $access[]=array('name'=>'cat'.$row2['id'].'_moderation','caption'=>"Модерация всех тем/сообщений",'auth'=>true,'nosep'=>true);
      $access[]=array('name'=>'','html'=>'</td></tr>');
	}
	A::$DB->free();
  }
  A::$DB->free();
  $access[]=array('name'=>'','html'=>'</table></div>');
}

function forum_searchIndexAll($section)
{
  $idsec=getSectionId($section);
  A::$DB->query("
  SELECT t.*,c.name AS category
  FROM {$section}_topics AS t
  LEFT JOIN {$section}_categories AS c ON c.id=t.idcat");
  while($row=A::$DB->fetchRow())
  A_SearchEngine::getInstance()->updateIndex($idsec,$row['id'],$row['category'].' - '.$row['name'],$row['content']);
  A::$DB->free();
}