DROP TABLE IF EXISTS `{section}_categories`;
CREATE TABLE `{section}_categories` (
  `id` int(11) NOT NULL auto_increment,
  `idker` int(11) NOT NULL default '0',
  `level` int(11) NOT NULL default '0',
  `name` varchar(150) NOT NULL default '',
  `urlname` varchar(100) NOT NULL default '',
  `description` text default NULL,
  `sort` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idker` (`idker`),
  KEY `level` (`level`),
  KEY `urlname` (`urlname`),
  KEY `sort` (`sort`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{section}_topics`;
CREATE TABLE `{section}_topics` (
  `id` int(11) NOT NULL auto_increment,
  `date` int(11) NOT NULL default '0',
  `idcat` int(11) NOT NULL default '0',
  `idowner` int(11) NOT NULL default '0',
  `name` varchar(100) default NULL,
  `content` text default NULL,
  `views` int(11) NOT NULL default '0',
  `usersmail` blob default NULL,
  `active` enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`),
  KEY `idcat` (`idcat`),
  KEY `idowner` (`idowner`),
  KEY `active` (`active`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{section}_messages`;
CREATE TABLE `{section}_messages` (
  `id` int(11) NOT NULL auto_increment,
  `date` int(11) NOT NULL default '0',
  `edate` int(11) NOT NULL default '0',
  `mdate` int(11) NOT NULL default '0',
  `idcat` int(11) NOT NULL default '0',
  `idtop` int(11) NOT NULL default '0',
  `idowner` int(11) NOT NULL default '0',
  `idfile` int(11) NOT NULL default '0',
  `bbcode` text default NULL,
  `message` text default NULL,
  PRIMARY KEY  (`id`),
  KEY `date` (`date`),
  KEY `idcat` (`idcat`),
  KEY `idtop` (`idtop`),
  KEY `idowner` (`idowner`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;